diff -urpNX dontdiff linux-2.5.48/drivers/hotplug/cpqphp_core.c linux-2.5.48-header/drivers/hotplug/cpqphp_core.c
--- linux-2.5.48/drivers/hotplug/cpqphp_core.c	2002-11-17 23:29:19.000000000 -0500
+++ linux-2.5.48-header/drivers/hotplug/cpqphp_core.c	2002-11-18 09:56:15.000000000 -0500
@@ -27,11 +27,12 @@
  */
 
 #include <linux/config.h>
+#include <linux/interrupt.h>
+#include <linux/miscdevice.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/types.h>
 #include <linux/proc_fs.h>
-#include <linux/miscdevice.h>
 #include <linux/slab.h>
 #include <linux/workqueue.h>
 #include <linux/pci.h>
diff -urpNX dontdiff linux-2.5.48/drivers/i2c/i2c-elektor.c linux-2.5.48-header/drivers/i2c/i2c-elektor.c
--- linux-2.5.48/drivers/i2c/i2c-elektor.c	2002-11-17 23:29:21.000000000 -0500
+++ linux-2.5.48-header/drivers/i2c/i2c-elektor.c	2002-11-18 09:57:16.000000000 -0500
@@ -25,14 +25,15 @@
 /* Partialy rewriten by Oleg I. Vdovikin for mmapped support of 
    for Alpha Processor Inc. UP-2000(+) boards */
 
-#include <linux/kernel.h>
+#include <linux/delay.h>
+#include <linux/init.h>
+#include <linux/interrupt.h>
 #include <linux/ioport.h>
+#include <linux/kernel.h>
 #include <linux/module.h>
-#include <linux/delay.h>
+#include <linux/pci.h>
 #include <linux/slab.h>
 #include <linux/version.h>
-#include <linux/init.h>
-#include <linux/pci.h>
 #include <asm/irq.h>
 #include <asm/io.h>
 
diff -urpNX dontdiff linux-2.5.48/drivers/pcmcia/tcic.c linux-2.5.48-header/drivers/pcmcia/tcic.c
--- linux-2.5.48/drivers/pcmcia/tcic.c	2002-11-17 23:29:47.000000000 -0500
+++ linux-2.5.48-header/drivers/pcmcia/tcic.c	2002-11-18 09:58:20.000000000 -0500
@@ -33,14 +33,10 @@
 
 #include <linux/module.h>
 #include <linux/init.h>
+#include <linux/interrupt.h>
 #include <linux/types.h>
 #include <linux/fcntl.h>
 #include <linux/string.h>
-
-#include <asm/io.h>
-#include <asm/bitops.h>
-#include <asm/system.h>
-
 #include <linux/kernel.h>
 #include <linux/errno.h>
 #include <linux/sched.h>
@@ -51,6 +47,10 @@
 #include <linux/proc_fs.h>
 #include <linux/workqueue.h>
 
+#include <asm/io.h>
+#include <asm/bitops.h>
+#include <asm/system.h>
+
 #include <pcmcia/version.h>
 #include <pcmcia/cs_types.h>
 #include <pcmcia/cs.h>
@@ -235,7 +235,7 @@ static int to_ns(int cycles)
 
 static volatile u_int irq_hits;
 
-static void __init irq_count(int irq, void *dev, struct pt_regs *regs)
+static void __init count_irqs(int irq, void *dev, struct pt_regs *regs)
 {
     irq_hits++;
 }
@@ -245,11 +245,11 @@ static u_int __init try_irq(int irq)
     u_short cfg;
 
     irq_hits = 0;
-    if (request_irq(irq, irq_count, 0, "irq scan", irq_count) != 0)
+    if (request_irq(irq, count_irqs, 0, "irq scan", count_irqs) != 0)
 	return -1;
     mdelay(10);
     if (irq_hits) {
-	free_irq(irq, irq_count);
+	free_irq(irq, count_irqs);
 	return -1;
     }
 
@@ -260,7 +260,7 @@ static u_int __init try_irq(int irq)
     tcic_setb(TCIC_ICSR, TCIC_ICSR_ERR | TCIC_ICSR_JAM);
 
     udelay(1000);
-    free_irq(irq, irq_count);
+    free_irq(irq, count_irqs);
 
     /* Turn off interrupts */
     tcic_setb(TCIC_IENA, TCIC_IENA_CFG_OFF);
@@ -301,9 +301,9 @@ static u_int __init irq_scan(u_int mask0
 	/* Fallback: just find interrupts that aren't in use */
 	for (i = 0; i < 16; i++)
 	    if ((mask0 & (1 << i)) &&
-		(request_irq(i, irq_count, 0, "x", irq_count) == 0)) {
+		(request_irq(i, count_irqs, 0, "x", count_irqs) == 0)) {
 		mask1 |= (1 << i);
-		free_irq(i, irq_count);
+		free_irq(i, count_irqs);
 	    }
 	printk("default");
     }
diff -urpNX dontdiff linux-2.5.48/drivers/pnp/interface.c linux-2.5.48-header/drivers/pnp/interface.c
--- linux-2.5.48/drivers/pnp/interface.c	2002-11-17 23:29:25.000000000 -0500
+++ linux-2.5.48-header/drivers/pnp/interface.c	2002-11-18 08:24:24.000000000 -0500
@@ -6,10 +6,11 @@
  *
  */
 
-#include <linux/pnp.h>
-#include <linux/string.h>
 #include <linux/errno.h>
 #include <linux/list.h>
+#include <linux/pnp.h>
+#include <linux/stat.h>
+#include <linux/string.h>
 #include <linux/types.h>
 
 #include "base.h"
diff -urpNX dontdiff linux-2.5.48/include/linux/device.h linux-2.5.48-header/include/linux/device.h
--- linux-2.5.48/include/linux/device.h	2002-11-17 23:29:54.000000000 -0500
+++ linux-2.5.48-header/include/linux/device.h	2002-11-18 08:23:13.000000000 -0500
@@ -27,10 +27,10 @@
 #include <linux/ioport.h>
 #include <linux/kobject.h>
 #include <linux/list.h>
-#include <linux/sched.h>
 #include <linux/spinlock.h>
 #include <linux/types.h>
 #include <asm/atomic.h>
+#include <asm/semaphore.h>
 
 #define DEVICE_NAME_SIZE	50
 #define DEVICE_NAME_HALF	__stringify(20)	/* Less than half to accommodate slop */
